## situare 0.6-3

=== tests/testgpsposition-build/Makefile ===
#############################################################################
# Makefile for building: testgpsposition
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 19 12:18:54 2010
# Project:  ../gps/testgpsposition.pro
# Template: app
# Command: /home/jupe/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake -spec /home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile ../gps/testgpsposition.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I../gps -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtCore -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtNetwork -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtGui -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtMaemo5 -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtTest -I/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/include/QtLocation -I../gps -I../../src -I/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib -L/usr/lib -lQtLocation -lQtTest -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-qt-1014/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../gps/testgpsposition.cpp \
		../../src/gps/gpsposition.cpp \
		../../src/gps/gpspositionprivate.cpp moc_gpsposition.cpp
OBJECTS       = testgpsposition.o \
		gpsposition.o \
		gpspositionprivate.o \
		moc_gpsposition.o
DIST          = /home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../gps/testgpsposition.pro
QMAKE_TARGET  = testgpsposition
DESTDIR       = 
TARGET        = testgpsposition

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../gps/testgpsposition.pro  /home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtTest.prl \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtCore.prl \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtMaemo5.prl \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtDBus.prl \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtXml.prl \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtGui.prl \
		/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtNetwork.prl
	$(QMAKE) -spec /home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -unix CONFIG+=debug -o Makefile ../gps/testgpsposition.pro
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/unix.conf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/common/linux.conf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/qconfig.pri:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/debug.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/mobility.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qtestlib.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/qt.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/moc.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/resources.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/uic.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/yacc.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/lex.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/home/jupe/NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/lib/libQtTest.prl:

=== tests/map/mapengine-build/Makefile ===
#############################################################################
# Makefile for building: mapengine
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 16 08:44:07 2010
# Project:  ../mapengine/mapengine.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/mapengine.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../mapengine -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtNetwork -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include/QtDBus -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I../mapengine -I../../../src -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtDBus -lQtXml -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../mapengine/testmapengine.cpp \
		../../../src/map/mapengine.cpp \
		../../../src/map/mapscene.cpp \
		../../../src/map/maptile.cpp \
		../../../src/map/mapview.cpp \
		../../../src/map/mapfetcher.cpp \
		../../../src/map/ownlocationitem.cpp \
		../../../src/map/maptilerequest.cpp \
		../../../src/map/frienditemshandler.cpp \
		../../../src/map/friendgroupitem.cpp \
		../../../src/map/baselocationitem.cpp \
		../../../src/user/user.cpp \
		../../../src/map/friendlocationitem.cpp \
		../../../src/map/gpslocationitem.cpp \
		../../../src/network/networkaccessmanager.cpp \
		../../../src/network/networkhandler.cpp \
		../../../src/network/networkreply.cpp \
		../../../src/network/networkhandlerprivatestub.cpp moc_mapengine.cpp \
		moc_mapscene.cpp \
		moc_mapview.cpp \
		moc_mapfetcher.cpp \
		moc_frienditemshandler.cpp \
		moc_friendgroupitem.cpp \
		moc_friendlocationitem.cpp \
		moc_networkaccessmanager.cpp \
		moc_networkhandler.cpp
OBJECTS       = testmapengine.o \
		mapengine.o \
		mapscene.o \
		maptile.o \
		mapview.o \
		mapfetcher.o \
		ownlocationitem.o \
		maptilerequest.o \
		frienditemshandler.o \
		friendgroupitem.o \
		baselocationitem.o \
		user.o \
		friendlocationitem.o \
		gpslocationitem.o \
		networkaccessmanager.o \
		networkhandler.o \
		networkreply.o \
		networkhandlerprivatestub.o \
		moc_mapengine.o \
		moc_mapscene.o \
		moc_mapview.o \
		moc_mapfetcher.o \
		moc_frienditemshandler.o \
		moc_friendgroupitem.o \
		moc_friendlocationitem.o \
		moc_networkaccessmanager.o \
		moc_networkhandler.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../mapengine/mapengine.pro
QMAKE_TARGET  = mapengine
DESTDIR       = 
TARGET        = mapengine

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../mapengine/mapengine.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtDBus.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtXml.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/mapengine.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtDBus.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtXml.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/mapengine.pro

dist: 
	@$(CHK_DIR_EXISTS) ../mapengine/.tmp/mapengine1.0.0 || $(MKDIR) ../mapengine/.tmp/mapengine1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../mapengine/.tmp/mapengine1.0.0/ && $(COPY_FILE) --parents ../../../src/map/mapengine.h ../../../src/map/mapscene.h ../../../src/map/maptile.h ../../../src/map/mapview.h ../../../src/map/mapfetcher.h ../../../src/common.h ../../../src/map/ownlocationitem.h ../../../src/map/maptilerequest.h ../../../src/map/frienditemshandler.h ../../../src/map/friendgroupitem.h ../../../src/map/baselocationitem.h ../../../src/user/user.h ../../../src/map/friendlocationitem.h ../../../src/map/gpslocationitem.h ../../../src/network/networkaccessmanager.h ../../../src/network/networkhandler.h ../../../src/network/networkreply.h ../../../src/network/networkhandlerprivatestub.h ../mapengine/.tmp/mapengine1.0.0/ && $(COPY_FILE) --parents ../mapengine/testmapengine.cpp ../../../src/map/mapengine.cpp ../../../src/map/mapscene.cpp ../../../src/map/maptile.cpp ../../../src/map/mapview.cpp ../../../src/map/mapfetcher.cpp ../../../src/map/ownlocationitem.cpp ../../../src/map/maptilerequest.cpp ../../../src/map/frienditemshandler.cpp ../../../src/map/friendgroupitem.cpp ../../../src/map/baselocationitem.cpp ../../../src/user/user.cpp ../../../src/map/friendlocationitem.cpp ../../../src/map/gpslocationitem.cpp ../../../src/network/networkaccessmanager.cpp ../../../src/network/networkhandler.cpp ../../../src/network/networkreply.cpp ../../../src/network/networkhandlerprivatestub.cpp ../mapengine/.tmp/mapengine1.0.0/ && (cd `dirname ../mapengine/.tmp/mapengine1.0.0` && $(TAR) mapengine1.0.0.tar mapengine1.0.0 && $(COMPRESS) mapengine1.0.0.tar) && $(MOVE) `dirname ../mapengine/.tmp/mapengine1.0.0`/mapengine1.0.0.tar.gz . && $(DEL_FILE) -r ../mapengine/.tmp/mapengine1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mapengine.cpp moc_mapscene.cpp moc_mapview.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp moc_friendgroupitem.cpp moc_friendlocationitem.cpp moc_networkaccessmanager.cpp moc_networkhandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mapengine.cpp moc_mapscene.cpp moc_mapview.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp moc_friendgroupitem.cpp moc_friendlocationitem.cpp moc_networkaccessmanager.cpp moc_networkhandler.cpp
moc_mapengine.cpp: ../../../src/map/mapengine.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapengine.h -o moc_mapengine.cpp

moc_mapscene.cpp: ../../../src/map/maptile.h \
		../../../src/map/mapscene.h

=== tests/map/mapview-build/Makefile ===
#############################################################################
# Makefile for building: mapview
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 16 09:37:48 2010
# Project:  ../mapview/mapview.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapview/mapview.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../mapview -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I../mapview -I../../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../mapview/testmapview.cpp \
		../../../src/map/mapview.cpp moc_mapview.cpp
OBJECTS       = testmapview.o \
		mapview.o \
		moc_mapview.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../mapview/mapview.pro
QMAKE_TARGET  = mapview
DESTDIR       = 
TARGET        = mapview

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../mapview/mapview.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapview/mapview.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapview/mapview.pro

dist: 
	@$(CHK_DIR_EXISTS) ../mapview/.tmp/mapview1.0.0 || $(MKDIR) ../mapview/.tmp/mapview1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../mapview/.tmp/mapview1.0.0/ && $(COPY_FILE) --parents ../../../src/map/mapview.h ../mapview/.tmp/mapview1.0.0/ && $(COPY_FILE) --parents ../mapview/testmapview.cpp ../../../src/map/mapview.cpp ../mapview/.tmp/mapview1.0.0/ && (cd `dirname ../mapview/.tmp/mapview1.0.0` && $(TAR) mapview1.0.0.tar mapview1.0.0 && $(COMPRESS) mapview1.0.0.tar) && $(MOVE) `dirname ../mapview/.tmp/mapview1.0.0`/mapview1.0.0.tar.gz . && $(DEL_FILE) -r ../mapview/.tmp/mapview1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mapview.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mapview.cpp
moc_mapview.cpp: ../../../src/map/mapview.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapview.h -o moc_mapview.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: testmapview.moc
compiler_moc_source_clean:
	-$(DEL_FILE) testmapview.moc
testmapview.moc: ../mapview/testmapview.cpp
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../mapview/testmapview.cpp -o testmapview.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

testmapview.o: ../mapview/testmapview.cpp testmapview.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testmapview.o ../mapview/testmapview.cpp

mapview.o: ../../../src/map/mapview.cpp ../../../src/map/mapcommon.h \
		../../../src/map/mapview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mapview.o ../../../src/map/mapview.cpp

moc_mapview.o: moc_mapview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mapview.o moc_mapview.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/map/testfriendgroupitem-build-desktop/Makefile ===
#############################################################################
# Makefile for building: testfriendgroupitem
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 14 08:06:29 2010
# Project:  ../friendgroupitem/testfriendgroupitem.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendgroupitem/testfriendgroupitem.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../friendgroupitem -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtNetwork -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I../friendgroupitem -I../../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../friendgroupitem/testfriendgroupitem.cpp \
		../../../src/map/friendgroupitem.cpp \
		../../../src/map/friendlocationitem.cpp \
		../../../src/map/baselocationitem.cpp \
		../../../src/map/mapengine.cpp \
		../../../src/map/ownlocationitem.cpp \
		../../../src/map/mapzoompanel.cpp \
		../../../src/map/maptilerequest.cpp \
		../../../src/map/maptile.cpp \
		../../../src/map/mapscene.cpp \
		../../../src/map/mapfetcher.cpp \
		../../../src/map/mapbutton.cpp \
		../../../src/map/frienditemshandler.cpp \
		../../../src/user/user.cpp moc_friendlocationitem.cpp \
		moc_mapengine.cpp \
		moc_mapzoompanel.cpp \
		moc_mapscene.cpp \
		moc_mapfetcher.cpp \
		moc_frienditemshandler.cpp \
		qrc_images.cpp
OBJECTS       = testfriendgroupitem.o \
		friendgroupitem.o \
		friendlocationitem.o \
		baselocationitem.o \
		mapengine.o \
		ownlocationitem.o \
		mapzoompanel.o \
		maptilerequest.o \
		maptile.o \
		mapscene.o \
		mapfetcher.o \
		mapbutton.o \
		frienditemshandler.o \
		user.o \
		moc_friendlocationitem.o \
		moc_mapengine.o \
		moc_mapzoompanel.o \
		moc_mapscene.o \
		moc_mapfetcher.o \
		moc_frienditemshandler.o \
		qrc_images.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../friendgroupitem/testfriendgroupitem.pro
QMAKE_TARGET  = testfriendgroupitem
DESTDIR       = 
TARGET        = testfriendgroupitem

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../friendgroupitem/testfriendgroupitem.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendgroupitem/testfriendgroupitem.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendgroupitem/testfriendgroupitem.pro

dist: 
	@$(CHK_DIR_EXISTS) ../friendgroupitem/.tmp/testfriendgroupitem1.0.0 || $(MKDIR) ../friendgroupitem/.tmp/testfriendgroupitem1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && $(COPY_FILE) --parents ../../../src/map/friendgroupitem.h ../../../src/map/friendlocationitem.h ../../../src/map/baselocationitem.h ../../../src/map/mapengine.h ../../../src/map/ownlocationitem.h ../../../src/map/mapzoompanel.h ../../../src/map/maptilerequest.h ../../../src/map/maptile.h ../../../src/map/mapscene.h ../../../src/map/mapfetcher.h ../../../src/map/mapcommon.h ../../../src/map/mapbutton.h ../../../src/map/frienditemshandler.h ../../../src/user/user.h ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && $(COPY_FILE) --parents ../../../images.qrc ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && $(COPY_FILE) --parents ../friendgroupitem/testfriendgroupitem.cpp ../../../src/map/friendgroupitem.cpp ../../../src/map/friendlocationitem.cpp ../../../src/map/baselocationitem.cpp ../../../src/map/mapengine.cpp ../../../src/map/ownlocationitem.cpp ../../../src/map/mapzoompanel.cpp ../../../src/map/maptilerequest.cpp ../../../src/map/maptile.cpp ../../../src/map/mapscene.cpp ../../../src/map/mapfetcher.cpp ../../../src/map/mapbutton.cpp ../../../src/map/frienditemshandler.cpp ../../../src/user/user.cpp ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && (cd `dirname ../friendgroupitem/.tmp/testfriendgroupitem1.0.0` && $(TAR) testfriendgroupitem1.0.0.tar testfriendgroupitem1.0.0 && $(COMPRESS) testfriendgroupitem1.0.0.tar) && $(MOVE) `dirname ../friendgroupitem/.tmp/testfriendgroupitem1.0.0`/testfriendgroupitem1.0.0.tar.gz . && $(DEL_FILE) -r ../friendgroupitem/.tmp/testfriendgroupitem1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_friendlocationitem.cpp moc_mapengine.cpp moc_mapzoompanel.cpp moc_mapscene.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_friendlocationitem.cpp moc_mapengine.cpp moc_mapzoompanel.cpp moc_mapscene.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp
moc_friendlocationitem.cpp: ../../../src/map/baselocationitem.h \
		../../../src/map/friendlocationitem.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/friendlocationitem.h -o moc_friendlocationitem.cpp

moc_mapengine.cpp: ../../../src/map/mapcommon.h \
		../../../src/map/mapfetcher.h \
		../../../src/map/maptilerequest.h \
		../../../src/map/mapscene.h \
		../../../src/map/maptile.h \
		../../../src/map/mapzoompanel.h \
		../../../src/map/mapbutton.h \
		../../../src/map/ownlocationitem.h \
		../../../src/map/baselocationitem.h \
		../../../src/map/mapengine.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapengine.h -o moc_mapengine.cpp

moc_mapzoompanel.cpp: ../../../src/map/mapbutton.h \
		../../../src/map/mapzoompanel.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapzoompanel.h -o moc_mapzoompanel.cpp

moc_mapscene.cpp: ../../../src/map/maptile.h \
		../../../src/map/mapscene.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapscene.h -o moc_mapscene.cpp

moc_mapfetcher.cpp: ../../../src/map/maptilerequest.h \
		../../../src/map/mapfetcher.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapfetcher.h -o moc_mapfetcher.cpp

moc_frienditemshandler.cpp: ../../../src/map/frienditemshandler.h

=== tests/map/testmapengine-build/Makefile ===
#############################################################################
# Makefile for building: testmapengine
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 14 08:17:48 2010
# Project:  ../mapengine/testmapengine.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/testmapengine.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../mapengine -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtNetwork -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I../mapengine -I../../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../mapengine/testmapengine.cpp \
		../../../src/map/mapengine.cpp \
		../../../src/map/mapscene.cpp \
		../../../src/map/maptile.cpp \
		../../../src/map/mapview.cpp \
		../../../src/map/mapfetcher.cpp \
		../../../src/map/mapzoompanel.cpp \
		../../../src/map/mapbutton.cpp \
		../../../src/map/ownlocationitem.cpp \
		../../../src/map/maptilerequest.cpp \
		../../../src/map/frienditemshandler.cpp \
		../../../src/map/friendgroupitem.cpp \
		../../../src/map/baselocationitem.cpp \
		../../../src/user/user.cpp \
		../../../src/map/friendlocationitem.cpp moc_mapengine.cpp \
		moc_mapscene.cpp \
		moc_mapview.cpp \
		moc_mapfetcher.cpp \
		moc_mapzoompanel.cpp \
		moc_frienditemshandler.cpp \
		moc_friendlocationitem.cpp
OBJECTS       = testmapengine.o \
		mapengine.o \
		mapscene.o \
		maptile.o \
		mapview.o \
		mapfetcher.o \
		mapzoompanel.o \
		mapbutton.o \
		ownlocationitem.o \
		maptilerequest.o \
		frienditemshandler.o \
		friendgroupitem.o \
		baselocationitem.o \
		user.o \
		friendlocationitem.o \
		moc_mapengine.o \
		moc_mapscene.o \
		moc_mapview.o \
		moc_mapfetcher.o \
		moc_mapzoompanel.o \
		moc_frienditemshandler.o \
		moc_friendlocationitem.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../mapengine/testmapengine.pro
QMAKE_TARGET  = testmapengine
DESTDIR       = 
TARGET        = testmapengine

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../mapengine/testmapengine.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/testmapengine.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/testmapengine.pro

dist: 
	@$(CHK_DIR_EXISTS) ../mapengine/.tmp/testmapengine1.0.0 || $(MKDIR) ../mapengine/.tmp/testmapengine1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../mapengine/.tmp/testmapengine1.0.0/ && $(COPY_FILE) --parents ../../../src/map/mapengine.h ../../../src/map/mapscene.h ../../../src/map/maptile.h ../../../src/map/mapview.h ../../../src/map/mapfetcher.h ../../../src/common.h ../../../src/map/mapzoompanel.h ../../../src/map/mapbutton.h ../../../src/map/ownlocationitem.h ../../../src/map/maptilerequest.h ../../../src/map/frienditemshandler.h ../../../src/map/friendgroupitem.h ../../../src/map/baselocationitem.h ../../../src/user/user.h ../../../src/map/friendlocationitem.h ../mapengine/.tmp/testmapengine1.0.0/ && $(COPY_FILE) --parents ../mapengine/testmapengine.cpp ../../../src/map/mapengine.cpp ../../../src/map/mapscene.cpp ../../../src/map/maptile.cpp ../../../src/map/mapview.cpp ../../../src/map/mapfetcher.cpp ../../../src/map/mapzoompanel.cpp ../../../src/map/mapbutton.cpp ../../../src/map/ownlocationitem.cpp ../../../src/map/maptilerequest.cpp ../../../src/map/frienditemshandler.cpp ../../../src/map/friendgroupitem.cpp ../../../src/map/baselocationitem.cpp ../../../src/user/user.cpp ../../../src/map/friendlocationitem.cpp ../mapengine/.tmp/testmapengine1.0.0/ && (cd `dirname ../mapengine/.tmp/testmapengine1.0.0` && $(TAR) testmapengine1.0.0.tar testmapengine1.0.0 && $(COMPRESS) testmapengine1.0.0.tar) && $(MOVE) `dirname ../mapengine/.tmp/testmapengine1.0.0`/testmapengine1.0.0.tar.gz . && $(DEL_FILE) -r ../mapengine/.tmp/testmapengine1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mapengine.cpp moc_mapscene.cpp moc_mapview.cpp moc_mapfetcher.cpp moc_mapzoompanel.cpp moc_frienditemshandler.cpp moc_friendlocationitem.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mapengine.cpp moc_mapscene.cpp moc_mapview.cpp moc_mapfetcher.cpp moc_mapzoompanel.cpp moc_frienditemshandler.cpp moc_friendlocationitem.cpp
moc_mapengine.cpp: ../../../src/map/mapcommon.h \
		../../../src/map/mapfetcher.h \
		../../../src/map/maptilerequest.h \
		../../../src/map/mapscene.h \
		../../../src/map/maptile.h \
		../../../src/map/mapzoompanel.h \
		../../../src/map/mapbutton.h \
		../../../src/map/ownlocationitem.h \
		../../../src/map/baselocationitem.h \
		../../../src/map/mapengine.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapengine.h -o moc_mapengine.cpp

moc_mapscene.cpp: ../../../src/map/maptile.h \
		../../../src/map/mapscene.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapscene.h -o moc_mapscene.cpp

moc_mapview.cpp: ../../../src/map/mapview.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapview.h -o moc_mapview.cpp

moc_mapfetcher.cpp: ../../../src/map/maptilerequest.h \
		../../../src/map/mapfetcher.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapfetcher.h -o moc_mapfetcher.cpp

moc_mapzoompanel.cpp: ../../../src/map/mapbutton.h \
		../../../src/map/mapzoompanel.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapzoompanel.h -o moc_mapzoompanel.cpp

moc_frienditemshandler.cpp: ../../../src/map/frienditemshandler.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/frienditemshandler.h -o moc_frienditemshandler.cpp

moc_friendlocationitem.cpp: ../../../src/map/baselocationitem.h \
		../../../src/map/friendlocationitem.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/friendlocationitem.h -o moc_friendlocationitem.cpp

compiler_rcc_make_all:
compiler_rcc_clean:

=== tests/ui/testfriendlist-build/Makefile ===
#############################################################################
# Makefile for building: testfriendlist
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 26 11:46:41 2010
# Project:  ../friendlist/testfriendlist.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendlist/testfriendlist.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../friendlist -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I. -I../friendlist -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../../../src/ui/friendlistview.cpp \
		../../../src/ui/friendlistitem.cpp \
		../../../src/user/user.cpp \
		../../../src/ui/avatarimage.cpp \
		../../../src/ui/imagebutton.cpp \
		../friendlist/testfriendlist.cpp moc_friendlistview.cpp \
		moc_friendlistitem.cpp \
		moc_imagebutton.cpp
OBJECTS       = friendlistview.o \
		friendlistitem.o \
		user.o \
		avatarimage.o \
		imagebutton.o \
		testfriendlist.o \
		moc_friendlistview.o \
		moc_friendlistitem.o \
		moc_imagebutton.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../friendlist/testfriendlist.pro
QMAKE_TARGET  = testfriendlist
DESTDIR       = 
TARGET        = testfriendlist

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../friendlist/testfriendlist.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendlist/testfriendlist.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendlist/testfriendlist.pro

dist: 
	@$(CHK_DIR_EXISTS) ../friendlist/.tmp/testfriendlist1.0.0 || $(MKDIR) ../friendlist/.tmp/testfriendlist1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../friendlist/.tmp/testfriendlist1.0.0/ && $(COPY_FILE) --parents ../../../src/ui/friendlistview.h ../../../src/ui/friendlistitem.h ../../../src/user/user.h ../../../src/ui/avatarimage.h ../../../src/ui/imagebutton.h ../friendlist/.tmp/testfriendlist1.0.0/ && $(COPY_FILE) --parents ../../../src/ui/friendlistview.cpp ../../../src/ui/friendlistitem.cpp ../../../src/user/user.cpp ../../../src/ui/avatarimage.cpp ../../../src/ui/imagebutton.cpp ../friendlist/testfriendlist.cpp ../friendlist/.tmp/testfriendlist1.0.0/ && (cd `dirname ../friendlist/.tmp/testfriendlist1.0.0` && $(TAR) testfriendlist1.0.0.tar testfriendlist1.0.0 && $(COMPRESS) testfriendlist1.0.0.tar) && $(MOVE) `dirname ../friendlist/.tmp/testfriendlist1.0.0`/testfriendlist1.0.0.tar.gz . && $(DEL_FILE) -r ../friendlist/.tmp/testfriendlist1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_friendlistview.cpp moc_friendlistitem.cpp moc_imagebutton.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_friendlistview.cpp moc_friendlistitem.cpp moc_imagebutton.cpp
moc_friendlistview.cpp: ../../../src/ui/friendlistview.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/friendlistview.h -o moc_friendlistview.cpp

moc_friendlistitem.cpp: ../../../src/user/user.h \
		../../../src/ui/friendlistitem.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/friendlistitem.h -o moc_friendlistitem.cpp

moc_imagebutton.cpp: ../../../src/ui/imagebutton.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/imagebutton.h -o moc_imagebutton.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: testfriendlist.moc
compiler_moc_source_clean:
	-$(DEL_FILE) testfriendlist.moc
testfriendlist.moc: ../../../src/ui/friendlistitem.h \
		../../../src/user/user.h \
		../../../src/ui/friendlistview.h \
		../../../src/ui/avatarimage.h \
		../friendlist/testfriendlist.cpp
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../friendlist/testfriendlist.cpp -o testfriendlist.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

friendlistview.o: ../../../src/ui/friendlistview.cpp ../../../src/ui/friendlistview.h \
		../../../src/ui/friendlistitem.h \
		../../../src/user/user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o friendlistview.o ../../../src/ui/friendlistview.cpp

friendlistitem.o: ../../../src/ui/friendlistitem.cpp ../../../src/ui/friendlistitem.h \
		../../../src/user/user.h \
		../../../src/ui/imagebutton.h \
		../../../src/common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o friendlistitem.o ../../../src/ui/friendlistitem.cpp

user.o: ../../../src/user/user.cpp ../../../src/user/user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o user.o ../../../src/user/user.cpp

avatarimage.o: ../../../src/ui/avatarimage.cpp ../../../src/ui/avatarimage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o avatarimage.o ../../../src/ui/avatarimage.cpp

imagebutton.o: ../../../src/ui/imagebutton.cpp ../../../src/ui/imagebutton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o imagebutton.o ../../../src/ui/imagebutton.cpp

testfriendlist.o: ../friendlist/testfriendlist.cpp ../../../src/ui/friendlistitem.h \
		../../../src/user/user.h \
		../../../src/ui/friendlistview.h \
		../../../src/ui/avatarimage.h \
		testfriendlist.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testfriendlist.o ../friendlist/testfriendlist.cpp

moc_friendlistview.o: moc_friendlistview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_friendlistview.o moc_friendlistview.cpp

moc_friendlistitem.o: moc_friendlistitem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_friendlistitem.o moc_friendlistitem.cpp

moc_imagebutton.o: moc_imagebutton.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_imagebutton.o moc_imagebutton.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## situare 0.6-2

=== debian/changelog ===
situare (0.6-2) unstable; urgency=low
  * Situare Beta Release

  * New Features:
    - Panel graphics updated
    - Time-out handling
    - Larger profile images support
    - Map distance scale
    - Map wraps around the east-west borders

  * Following bug fixes from version 0.5-1
    - Version control cleaned up (#5532)
    - Update location dialog is fully visible (#5765)
    - Friend group items are now properly released (#5831)
    - Location field shows always proper location (#5865)
    - Login e-mail field is now properly filled after failed login attempt (#5866)
    - Mouse event work properly over friends items on map (#5867)

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Mon, 16 Jun 2010 08:20:00 +0300

situare (0.5-1) unstable; urgency=low
  * Alpha release

  * New Features:
    - Logout
    - Login: E-mail address is stored
    - Login: Renew login in the background using cookie
    - Friend items and groups on the map are now clickable. Clicking filter friend list view
    - Zoom buttons can be dragged freely to any location on the screen
    - Map position is saved on program exit and restored at start
    - Some graphics updated

  * Following bug fixes from version 0.4-1
    - Unit tests included in the compilation (#5534)
    - Item order fixed in user info panel (#5761)
    - Location update dialog supports UTF-8 (on N900 only) (#5764)
    - Prevented multiple pop-up dialogs from appearing when launching application without network connection (#5767)
    - Manual update crosshair no longer blocks mouse events (#5769)

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Wed, 31 May 2010 08:31:00 +0300

situare (0.4-2) unstable; urgency=low
  * Mid-sprint test build

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Wed, 24 May 2010 10:08:00 +0300

situare (0.4-1) unstable; urgency=low
  * Initial pre-alpha release
    Basic functionality is completely usable. Usability might not be top notch and many feature will be added or changed

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Wed, 18 May 2010 14:00:00 +0300

situare (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <jukka.saastamoinen@ixonos.com>  Wed, 31 Mar 2010 10:36:08 +0300

=== debian/control ===
Source: situare
Section: user/navigation
Priority: optional
Maintainer: Jussi Laitinen <jussi.laitinen@ixonos.com>
Build-Depends: debhelper, libdbus-1-dev, icd2-dev, libx11-dev, libqt4-dev, libqjson-dev, liblocation-dev, libqtm-dev
Standards-Version: 3.7.2

Package: situare
Architecture: armel
Depends: ${shlibs:Depends}
Description: This is the Situare client for Maemo.
 Situare application introduces a concept of social locating.
 It allows users to view, update and share their location
 using facebook accounts. Situare utilizes OpenStreetMap
 database for mapping and device GPS for automatic locating.
 Project home is located in http://www.assembla.cc/wiki/show/situare.
 Check also www.situare.net.
 This application requires Qt4.6.2 libraries
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5192&group_id=1420&func=browse
XB-Maemo-Display-Name: Situare
XB-Maemo-Upgrade-Description: Alpha release
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA3X
 AAAN1wFCKJt4AAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAACpZJREFUeNrMWXlwlOUZ/z3fsdndHBuSLCEHciQxQBJMgAgG5Ayg
 4IbWCiiKeDClxaLSqU5Hx9p22unUsR6lHlUcC2pFYrGickmJHCKEJKKEkGzI
 tQlJyCYx197v9739IyEkkL2SWPvO7Mxez/s9v+d5fs/xvsQ5xw+9zDSdLHCP
 zeXll4OVFfB/sMxwrjyNHutwZH9wAF/RtIVWMHqaN6jDkZf+l8quWZMvdsRe
 HguPJx6CEDfhcmvqrIiQWzd1lv1ouHuOCoD8fC7K0SVTIYgZGlG6UaMRJ2s1
 8nimqIbCsjrnybNVks3hikU0jGAQQQIElSPzbIl8/ObZhZtG8GzyR+I7Nr82
 xi444wQmxOXeMjU7J33SIp1WHqfTaqLDdCGGiFCt1hCmkwSBvO5hc7jw4G93
 uju6Hf0PW3WqUKrvaqaSZXk2h9uVcOKtJ7tHxQNLf/7yyyBkgCMOQBwA7cSY
 aFp/x2xpwYwUgYiCfshbH59kA5W/qaZOcDfVChdz5jEAGp1GuxzAh6MVQrng
 SAKAuBgDrV85W1ycnSr6srCvVVRWp3567Jxy5bOxs4sWnj4lHYnU8K7Y+D7i
 ctNwAQyVhRQAmJuZJGz/zX2a3NlThq18l83J//LOYXbls6wo2Pj5EbkINtRk
 z2MDIvm2WZvekEcFAHGwJTdPEZ7ZuEKWJXFE5N62q4C1ddr6Q2ft8ZNSBbn4
 dzFjeU+0cQD5uCGSHPNHBcD4+Cjx8XWL5WCszhQVHd0O3tDSwdv7FC44U6Ee
 La7sz+055WYxpaZGsHZeFgZbv89whLxR4cBjdy8aH6Lxn12LyyxqcblF/bq8
 Xq2+ZB2UzPRaDZhytS4ltrbRmhMnpT0RxFtiUxWHIfK61EfAHUR4nHPwEQEw
 hOt8xmJNYxv/2wdfsHOVl7xWTrvT3f9e63Zj46EjclGElqOziWpX3qkMJcOB
 hKWbXpwBbC0eEQBV5V4Vq2tq51v+/IHb7WEBP2DDkWOy1t5DdWIPGtMzFVdo
 uFcLcxJNAIpHxAGVewfw3D8OeYJRPvfsOXF6bZ1wMFLm4CosWXMU3xLcNGIS
 e/MAUxRU1rcEHJ/JTc3CqsIi6VyElvPWJqrPmMU8Wp0/+bQlm7ZNHhEA7sUD
 dqcnYOUj7A566PMCiYGjlHXCo9Xx+sxsJaDehhTT9+KBiFAtpU6I9ZtbBc7x 
 0OECyWC304EoLZfsNrJkzVYUWRNYc0ZC3sgAwDsHtt67RA7Xa31uaCosklIa
 m4SqUA13tTWSKzScX0rPUgJXid+y4tFtMcPOQtxHFpqcGEPv/+nhkLLqJrWk
 rwZUNVj5lZyfUWsRln79ragCKCQHJM5RN/MWRRWD6toFD+MrAOwcbhbyaS2N
 LCIzNVF4aFWO9Kv7c2X0dacxXd10f8FRmQAcjtZxqaeTHIYxvGlKRv9+keH6
 wJpZzvOG7QFV5QG5W1FVPLfjcw9jCkJlonvUbrn9rly0FpziHc01RABqZs1l
 XOi1UbzRQK8/vU6jKByVlha1vLaZX6hpVgtLa1VFvc7pS/I2vaHf+/ef2oMG
 8OHhr8+nJcVNFAXf4/Kug0VKpaWFh2hEWpWTJNd1Gok5nYi/fS5pfv88vmvr
 4i0pU9VeYhKeuH+ZpNX0FvnM1EQhMzURAMRGawff+elpVlBUoQ5oR3R20Z4L
 YG/QIfTVueqmHZ+c8lmtqhta+Xv7ChkALEpLFG09XbRz+0t4d8crMFtqEJqT
 PahdXp07Q0xLihvSIvHGSPr1g8vl155apzGOCaOr2Syw5m6ITYntOlikvP7h
 McYUZcjO87mdhzxMUUEEzEyKE90OJ1SFAeCwu11QUpJ528RkFQAmxkfTBtMc
 vyyenBBDv/uZSQ6Rpb7eiFasWZMvBg1AQC8H9hw5qzz+fL77dGmNOhDIP/cX
 suqGVg4A86beIKQljsPECROw8ifrsXTlaqSn34RvHCIDAFEQ8OSGZQHPFcnj
 jfTEhmVXmsmojpjmnOBJzIkR9Qajua6FP/PqJ55wvRbzspLEqZPi6P0DRQoA
 CETYsPAmyWgIw9iwUJ45bRpxDpRa2pX6NrsKAPetuFlKHm8MapybPyNZSLlh
 LFVaWjhX1TwAx4MLIVKvi/9uuxP7vzyvvPDuYXYlYyzOmChMMBqo2+EClG6K
 0RMqGtqUE+WXGefA2DHhZFowfVgHZ/NnpIh92pmGxQF/QqJAWL9gugQA39bU
 cVVVUNdqV49esPbLtnzXzVc/+Yb7gWd3uP+wfb9n18Ei5cz5OrXb7vQL4Nas
 ZKGPCBNzN7+cEVQIEQeDH6fflpUsxkeFk7nRyhXWQzYX43vONDD1mjMmzoFG
 aydvtHbyYyW946UhTEdPPXyblJU63qt34o0GGhcdQc1tXRycTADOBd6NEnwW
 MlkSce/8DNHlUdDc1kScAx+ducR6nCygbrWzx8H/uH3/kBlu0GQYpusbNX3P
 CENwAD5DyDQrRTRG6KmkqlYFZzhWbmU1VltQB7NdNic/X9XkUyY8VHslDrKW
 P/JCYuAAOHk1jVaWcM+8dLGhrZMzT5dQ3WJTj5dbleEQ9UpV9rZcbs+A9kY0
 BQFA9eqBH8+eIkboQ6iq0YIuh4d/VNTAhnM9EiJLiI2O8Mm0uqb2gVvnBRFC
 wpAWDQ2RsTpnmlR80cK56qY9hQ3M7lKGdb2z5Z5FUmS4ziuA1o4e3mVzDtz7
 1kVbX4ockQfuypkmuRjjTkc7FZRZmaWvWAWzwvVa/GLtQmnZnKk+S/P+L89f
 a0RJdOL2wA536fo6EKEPoTtnTxELzZW8qrlb/crcqgwMB5efk4obxkXRnIxJ
 wtrlMyV/E53bo+CTY+fU6y0tmAC87x/AEHXg7rlp4sUmK++2dePj4kv9070h
 TEdvPnOvbHe60TudtXKNLEGvlaHTaig+xkBpSfHkK1yuXa/mH2Ud3XZ+vVp8
 2YpHt4Xs++sWlx8PDK4DUWE6WpwxSfimqhz/OtPgcbiv/vzYukVSZLieIsP1
 iDdGjuwkGMCBk2XKvhOl3rJaGHPzRQAO+OHA4Dqwbn66WFprwZHSJuVS+9VL
 isXZqcK8zORRuyT8d8FZ5cX3/uMzFjlUk/8QEoihryWINYTSjXFjhOOlF/jp
 qvZ+y0QbQumRtQvk0VDc7nTjzT0n2GfeLX/13kKgqQFwQFXQR4K756WJFfUW
 vrfkkmfgX355X65fMgYyU+87cV5557NTysDrJwBtAMwAmYl4pQpuJoJ5jLWz
 evfuZ93+AUBQAI6EqHAKDSF6+8ta5vJcTQoLZqYI2WkThhU6nT0OXnLBwovL
 613FF+qqWjtsZQSYCdyscpglxisPbN/aPqLTaXCVgQgrZyaJh85Wqk0dgwoK
 jhZXqheqm93TUxJo+o0JQnpygpA4NpKuPUd1uRncHkVp77J3Xaxvqfi2suH4
 4TMVR7iqVoxpTbDs3r1RGY0QvO6aNXfzS3mTjJH52ZNjxPxTVf6Pogm2yDB9
 jT5ErnYwZrbZ3WXMw8rdJJkLXtncg+95DeEBYmmJUcLHRTVs0KQJ1Pe6G2aV
 wyyAzB6FzF9s39IY7K3K9wrANGuS7kJD216PohYCvYq6nRFVBW8/MPQo9SZ+
 2MU5H/QqO30m9trv/p9f/x0A5fuBL76DMBUAAAAASUVORK5CYII=
 ====
